Ok this isnt fun!!

Discussion in 'iPod touch' started by Developer, Apr 5, 2008.

  1. Developer

    Developer New Member

    Joined:
    Mar 2, 2008
    Messages:
    39
    Likes Received:
    0
    Ok so I am in mac os x leopard and i need to run iphuc but i keep getting the error: Segmentation fault
    logout

    [Process completed]

    But nothing happens... can someone please help me?
  2. mcdavid68

    mcdavid68 Member

    Joined:
    Mar 18, 2008
    Messages:
    546
    Likes Received:
    3
    Device:
    iPhone 4 (Black)
    im not totaly sure, but just try re-doing it
  3. Developer

    Developer New Member

    Joined:
    Mar 2, 2008
    Messages:
    39
    Likes Received:
    0
    I have tried a lot of different version of iphuc for mac but i keep getting the same error
  4. murphmanny

    murphmanny Banned

    Joined:
    Sep 19, 2007
    Messages:
    5,250
    Likes Received:
    3
    instead of double clicking it,
    try opening terminal then drag the iphuc file into the terminal window

    that's what i did and it worked
  5. Developer

    Developer New Member

    Joined:
    Mar 2, 2008
    Messages:
    39
    Likes Received:
    0
    Ok when i did that ... i got this

    >> By The iPhoneDev Team: 1836019489
    recovery callback: Connected in Recovery Mode
    recovery callback: Entering shell in Recovery Mode.
    (iPHUC Recovery) #: cmd fsboot
    Segmentation fault
  6. Developer

    Developer New Member

    Joined:
    Mar 2, 2008
    Messages:
    39
    Likes Received:
    0
    Any help?

    Please?
  7. Developer

    Developer New Member

    Joined:
    Mar 2, 2008
    Messages:
    39
    Likes Received:
    0
    Ok now i got rid of the error

    I am getting a Bus error
  8. Unknown-Guy

    Unknown-Guy New Member

    Joined:
    Jan 5, 2008
    Messages:
    261
    Likes Received:
    2
    U need a specific version of iTunes for iphuc to work ( srry don't remember which one)
    U can use ibooter (iphonelinux.org).
  9. crizh4x

    crizh4x Active Member

    Joined:
    Sep 19, 2007
    Messages:
    4,474
    Likes Received:
    17
    Device:
    2G iPod touch
    it's from having the Mobile Device Framework that is above 7.4.2, I think you can use iFuntastic to downgrade that framework, or you can do it manually, check the tuaw guide about it.
  10. Developer

    Developer New Member

    Joined:
    Mar 2, 2008
    Messages:
    39
    Likes Received:
    0
    Its no longer a problem with MobileDevice.framework

Share This Page